=== debian/changelog ===
jssip (0.3.7-2) unstable; urgency=low

  * Add pegjs to build dependencies

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 09:59:36 +0200

jssip (0.3.7-1) unstable; urgency=low

  * Initial upload (Closes: #721077)

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 27 Aug 2013 19:43:05 +0200
