=== debian/control ===
Source: jssip
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), node-uglify, closure-compiler, pegjs
Standards-Version: 3.9.4
Homepage: http://www.jssip.net
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/jssip.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/jssip.git

Package: libjs-jssip
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript implementation of a WebRTC SIP video phone
 JsSIP is a client side pure JavaScript library to build SIP endpoints
 in Web environments.  It is typically hosted in any normal web server
 and runs in modern WebRTC capable browsers.
 .
 This package provides the JavaScript library for use in web sites
 or for other packages that require it.
