## jssip 0.6.34

=== debian/changelog ===
jssip (0.6.34-5) unstable; urgency=medium

  * Update VCS URLs.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 24 Sep 2015 13:09:42 +0200

jssip (0.6.34-4) unstable; urgency=medium

  * Remove dependency on libjs-debug

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 15 Sep 2015 20:43:21 +0200

jssip (0.6.34-3) unstable; urgency=medium

  * Update debian/copyright

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 08 Jul 2015 21:28:12 +0200

jssip (0.6.34-2) unstable; urgency=medium

  * Ensure JsSIP is a window global.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 08 Jul 2015 19:04:18 +0200

jssip (0.6.34-1) unstable; urgency=medium

  * Latest upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 08 Jul 2015 18:03:44 +0200
