=== debian/watch ===
version=3
https://github.com/versatica/JsSIP/tags .*/archive/v?(\d[\d\.]+).tar.gz
